Perl - Actualizacion de Perl

   
Vista:

Actualizacion de Perl

Publicado por Xo xomoraf@gmail.com (4 intervenciones) el 02/02/2016 20:14:22
Hola mi pregunta a lo mejor es muy simple pero estoy atorada, estoy actualizando PERL muestro la versión de perl y me sigue mostrando la versión anterior:


#perl -v muestra version de perl,
This is perl, v5.8.8 built for i386-linux-thread-mult


PERO si pongo la ruta completa,

#/root/localperl/bin/perl -v muestra:
This is perl 5, version 22, subversion 1 (v5.22.1) built for i686-linux


Trato de copiar o el archivo perl ubicado en la ruta: /root/localperl/bin
#cp perl5.22.1 perl
cp: 'perl5.22.1' and 'perl' are the same file

Como podrán observar LINUX esta instalado en una máquina de desarrollo de 32 bits y estoy intentado instalar la versión perl de 64 bits cuando deber ser de 32 bits para linux, me podrán proporcionar el sitio donde puedo descargar la ultima versión de perl para Linux de 32 bits?

Mil gracias.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder
Imágen de perfil de xve

Actualizacion de Perl

Publicado por xve (2 intervenciones) el 02/02/2016 21:45:13
Hola Xo, quien dice que es de 64 bits???

La versión 686 es para Pentium II o Pentium Pro en adelante... y es de 32 bits!!!

No se que distribución utilizas, pero prueba a ejecutar:
1
whereis perl
y te dira el path donde ejecuta el perl por defecto...
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

Actualizacion de Perl

Publicado por Xo xomoraf@gmail.com (4 intervenciones) el 02/02/2016 22:31:02
PATH PERL:

perl: /usr/bin/perl /usr/share/main/man1/perl.1.gz

Y efectivamente la máquina donde estoy corriendo linux es de 32 bits
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

Actualizacion de Perl

Publicado por Xo (4 intervenciones) el 03/02/2016 17:43:44
Buenos días, le agracere me apoyen con la actualizando PERL, pregunta inicial, la versión de perl ya actualizado y sigue mostrando la versión anterior la actualización:


]#perl -v
This is perl, v5.8.8 built for i386-linux-thread-mult


PERO si pongo la ruta completa,

#/root/localperl/bin/perl -v muestra:
This is perl 5, version 22, subversion 1 (v5.22.1) built for i686-linux


La version 5.8.8 se encuentra en:
/usr/bin/perl5.8.8
perl
perldoc
perlcc
perlbug
perlivp

La versin 5.22.1 se encuentra en:
/root/loalperl/bin/perl5.22.1
perlthanks
perlivp
perldoc
perldebug
perl

La variable del ,bash_profile esta como:
PATH=$PATH:$HOME/bin:/root/localperl/bin

Espero contar con su invaluable apoyo, mil gracias.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

Actualizacion de Perl

Publicado por Xo (4 intervenciones) el 05/05/2016 20:43:09
Retomado la problematica original, volví a actualizar Perl a la version 5.22.1 y estoy en los mismos problemas sino es que mas grandes

Can't locate CGI.pm in @INC (you may need to install the CGI module) (@INC contains: /usr/local/lib/perl5/site_perl/5.22.1/i686-linux /usr/local/lib/perl5/site_perl/5.22.1 /usr/local/lib/perl5/5.22.1/i686-linux /usr/local/lib/perl5/5.22.1 .) at passwd.cgi line 5.
BEGIN failed--compilation aborted at

Originado de que tambien uso ChartDirector y éste no soporta la versin 5.22.1, necesito retomar la versión de Perl 5.8.8, me pueden apoyar con ello?

Gracias.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar